Script Typings
Returns the script type declarations, and the same endpoints as data.
get/api/{tenantId}/admin/configuration/script-typings
Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2implicitRequired
Authorization URL:
Path parameters
tenantIdstringRequired
Responses
200
Typings returned.
What an editor needs to help someone write an extensibility script.
declarationsstringOptional
The contents of a TypeScript declaration file describing ScriptContext. Types a
script that annotates its context parameter, down to the fields of every argument.
401
The caller is not authenticated.
application/problem+json
403
The caller lacks the tenant.configuration.tools:read scope.
application/problem+json
429
Over 1200 requests per minute to this endpoint for the tenant (default limit); retry after Retry-After.
application/problem+json
get/api/{tenantId}/admin/configuration/script-typings
GET /api/{tenantId}/admin/configuration/script-typings HTTP/1.1
Host: app.neostore.cloud
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"declarations": "text",
"endpoints": [
{
"name": "text",
"description": null,
"methods": [
{
"name": "text",
"isOptional": true,
"description": null,
"parameters": [
"text"
]
}
]
}
]
}Last updated

